update von 1.7.1 auf 1.7.2: warnung beim start von lampp

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

update von 1.7.1 auf 1.7.2: warnung beim start von lampp

Postby steki » 11. August 2009 22:08

Update hat geklappt, jedoch erscheint beim Start:

PHP Warning: PHP Startup: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CEST/2.0/DST' instead in Unknown on line 0

Was muss da eingestellt werden, damit dieser Fehler nicht erscheint.

In einer Testanwendung reicht ein

date_default_timezone_set('Europe/Berlin');

aber in der Konfiguration??

thanks
stefan
steki
 
Posts: 8
Joined: 11. November 2005 02:02
Operating System: debian linux

Re: update von 1.7.1 auf 1.7.2: warnung beim start von lampp

Postby steki » 12. August 2009 10:23

das Problem lässt sich lösen, indem man die php.ini.1.7.2 verwenden und durch die (veraltete) php.ini ersetzt. Beim upgrade wird die nicht automatisch ersetzt.

Wichtig: noch die gemachten Änderungen aus der alten php.ini in die neue übertragen

gruss
stefan
steki
 
Posts: 8
Joined: 11. November 2005 02:02
Operating System: debian linux

Re: update von 1.7.1 auf 1.7.2: warnung beim start von lampp

Postby th1alb » 24. August 2009 16:08

Habe das gleiche Problem nach dem Update von XAMPP, aber leider habe ich meine alte php.ini nicht mehr.
Ich habe schon versucht, in der php.ini schon "Europe/Paris" als Timezone eingetragen (wie im Codeauszug zu sehen), aber das hilft auch nichts.
Code: Select all
; Defines the default timezone used by the date functions
; http://php.net/date.timezone
;date.timezone = "Europe/Paris"

Hat jemand einen Tipp für mich, was ich machen kann, um diese Meldung auszuschalten?

Gruß,
th1alb
th1alb
 
Posts: 98
Joined: 31. August 2005 21:14

Re: update von 1.7.1 auf 1.7.2: warnung beim start von lampp

Postby Wiedmann » 24. August 2009 16:32

Ich habe schon versucht, in der php.ini schon "Europe/Paris" als Timezone eingetragen (wie im Codeauszug zu sehen), aber das hilft auch nichts.

Quizzfrage:
Was bewirkt ein Semikolon in einer INI-Datei?
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Re: update von 1.7.1 auf 1.7.2: warnung beim start von lampp

Postby th1alb » 24. August 2009 17:30

OK, danke, daran lags^^ Hatte bisher noch nie mit INI-Dateien zu tun, aber damit hab ich mal wieder was dazugelernt... =)

Gruß,
th1alb
th1alb
 
Posts: 98
Joined: 31. August 2005 21:14


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 2 guests